Package org.eclipse.emf.cdo.transaction

# Interface CDOConflictResolver.NonConflictAware

All Superinterfaces:
  `CDOConflictResolver`

All Known Implementing Classes:
  `AbstractChangeSetsConflictResolver`, `CDOMergingConflictResolver`

Enclosing interface:
  `CDOConflictResolver`

public static interface CDOConflictResolver.NonConflictAware extends CDOConflictResolver
A mix-in interface for `conflict resolvers` that need to know about non-conflicting invalidations.

Since:
  4.3
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`CDOConflictResolver.NonConflictAware`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleNonConflict(long updateTime)`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`getTransaction, resolveConflicts, setTransaction`

## Method Details

### handleNonConflict

void handleNonConflict(long updateTime)